package com.zcloud.service.depository;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 说明：文本信息
 * 作者：luoxiaobao
 * 时间：2022-12-27
 * 官网：www.zcloudchina.com
 */
public interface TextLibraryService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

    void init(PageData request, MultipartFile [] file) throws Exception;

    void lock(PageData request) throws Exception;

	void top(PageData request) throws Exception;

    void updateFile(MultipartFile[] file, PageData pageData) throws Exception;

    List<PageData> getUpdateLog(PageData pageData) throws Exception;

	void setStatus(PageData pageData) throws Exception;

	void exportWord(PageData pageData, HttpServletResponse response) throws Exception;

	PageData getTextInfo(PageData pageData);

	void copyToOperate(PageData pageData) throws Exception;
}

